# Namespace Entropy Ceremony

This is a ceremony for generating and sharding entropy to a set of existing Quorum Keys.

## Requirements

{{ #include ../../operator-requirements.md:requirements }}

* [SD Card Pack](../procurer/procure-sd-card-pack.md)

* [Ceremony SD Card](../operator/ceremony-sd-card-provisioning.md) 

* [High Visibility Storage](TODO): plastic container or bag that's used to keep items while not in use in a visible location like the middle of a desk.

## Procedure 

1. Enter the designated location with the operators and all required equipment

1. Lock access to the location - there should be no inflow or outflow of people during the ceremony

1. Retrieve Air-Gapped Bundle and polaroid tamper evidence from locked storage

{{ #include ../../../../component-documents/tamper-evidence-methods.md:vsbwf-procedure-unsealing}}

1. Plug the AirgapOS SD card into the laptop

1. Turn on the machine

1. Once booted, remove the AirgapOS SD card and place it into High Visibility Storage

1. Plug the Ceremony SD card into the machine 

1. Run the command to generate new entropy and shard it to quorum of public certificates of the input shardfile:

	* `keyfork mnemonic generate --size 256 --shard-to <path_to_input_shard>,output=<output_shardfile>`

1. Unseal an SD card pack

{{ #include ../../../../component-documents/tamper-evidence-methods.md:vsbwf-procedure-unsealing}}

1. Place all unsealed SD cards into High Visibility Storage

1. Back up the `<output_shardfile>` to any desired number of SD cards, and label each "Shardfile [unique_name] [date]"

    1. `lsblk` to find media name

    1. `cp <shard_file_name> /media/<media_name>`

    1. Each backup should be placed into High Visibility Storage after it's made

<!--
1. Optionally write an `autorun.sh` file to the Shardfile SD card containing the following command:

    * `keyfork recover shard --daemon /media/external/<shard_file_name>`
-->

1. Unplug the SD card and place it in High Visibility Storage

1. Label the SD card "Shardfile \[date\] \[namespace\]"

1. Gather all the original items that were in the air-gapped bundle:

    * Air-gapped computer

    * AirgapOS SD card

{{ #include ../../../../component-documents/tamper-evidence-methods.md:vsbwf-procedure-sealing}}
